apiVersion: v1
items:
- apiVersion: kubevirt.io/v1
  kind: VirtualMachineInstance
  metadata:
    annotations:
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
      kubevirt.io/vm-generation: "2"
    creationTimestamp: "2024-08-21T14:46:18Z"
    finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
    - foregroundDeleteVirtualMachine
    generation: 30
    labels:
      app: mtv-esx7-win2022-multi-disks-clone
      kubevirt.io/nodeName: dell-per740-57.lab.eng.pek2.redhat.com
    name: mtv-esx7-win2022-multi-disks-clone
    namespace: openshift-mtv
    ownerReferences:
    - apiVersion: kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: VirtualMachine
      name: mtv-esx7-win2022-multi-disks-clone
      uid: 1342486e-1c5b-4bc5-8d2b-96844023573b
    resourceVersion: "5457719"
    uid: f50779c1-b016-4ad7-829d-222250f02259
  spec:
    architecture: amd64
    domain:
      clock:
        timezone: UTC
      cpu:
        cores: 1
        maxSockets: 16
        model: host-model
        sockets: 4
      devices:
        disks:
        - disk:
            bus: virtio
          name: vol-0
        - disk:
            bus: virtio
          name: vol-1
        - disk:
            bus: virtio
          name: vol-2
        - disk:
            bus: virtio
          name: vol-3
        - disk:
            bus: virtio
          name: vol-4
        - disk:
            bus: virtio
          name: vol-5
        - disk:
            bus: virtio
          name: vol-6
        - disk:
            bus: virtio
          name: vol-7
        - disk:
            bus: virtio
          name: vol-8
        - disk:
            bus: virtio
          name: vol-9
        - disk:
            bus: virtio
          name: vol-10
        inputs:
        - bus: virtio
          name: tablet
          type: tablet
        interfaces:
        - macAddress: 00:50:56:92:86:43
          masquerade: {}
          model: virtio
          name: net-0
      features:
        acpi:
          enabled: true
      firmware:
        bootloader:
          bios: {}
        serial: 42121e47-fa85-017b-939e-9dc6099c9d0c
        uuid: f6092dad-68fc-5546-a782-7e47ddc438d3
      machine:
        type: q35
      memory:
        guest: 8Gi
        maxGuest: 32Gi
      resources:
        requests:
          memory: 8Gi
    evictionStrategy: LiveMigrate
    networks:
    - name: net-0
      pod: {}
    volumes:
    - name: vol-0
      persistentVolumeClaim:
        claimName: mtv-esx7-win2022-multi-disks-clone-nfs-vm-1271-cdd84
    - name: vol-1
      persistentVolumeClaim:
        claimName: mtv-esx7-win2022-multi-disks-clone-nfs-vm-1271-xvrnp
    - name: vol-2
      persistentVolumeClaim:
        claimName: mtv-esx7-win2022-multi-disks-clone-nfs-vm-1271-kvq5m
    - name: vol-3
      persistentVolumeClaim:
        claimName: mtv-esx7-win2022-multi-disks-clone-nfs-vm-1271-knhxp
    - name: vol-4
      persistentVolumeClaim:
        claimName: mtv-esx7-win2022-multi-disks-clone-nfs-vm-1271-56pp4
    - name: vol-5
      persistentVolumeClaim:
        claimName: mtv-esx7-win2022-multi-disks-clone-nfs-vm-1271-m82qq
    - name: vol-6
      persistentVolumeClaim:
        claimName: mtv-esx7-win2022-multi-disks-clone-nfs-vm-1271-rcwcm
    - name: vol-7
      persistentVolumeClaim:
        claimName: mtv-esx7-win2022-multi-disks-clone-nfs-vm-1271-zt5vd
    - name: vol-8
      persistentVolumeClaim:
        claimName: mtv-esx7-win2022-multi-disks-clone-nfs-vm-1271-s7wgz
    - name: vol-9
      persistentVolumeClaim:
        claimName: mtv-esx7-win2022-multi-disks-clone-nfs-vm-1271-wcr9h
    - name: vol-10
      persistentVolumeClaim:
        claimName: mtv-esx7-win2022-multi-disks-clone-nfs-vm-1271-f5f8h
  status:
    activePods:
      6c63e063-7619-40a6-8df8-d31d6405b97f: dell-per740-57.lab.eng.pek2.redhat.com
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2024-08-21T14:46:35Z"
      status: "True"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      status: "True"
      type: LiveMigratable
    currentCPUTopology:
      cores: 1
      sockets: 4
      threads: 1
    guestOSInfo: {}
    interfaces:
    - infoSource: domain
      ipAddress: 10.130.0.86
      ipAddresses:
      - 10.130.0.86
      mac: 00:50:56:92:86:43
      name: net-0
      queueCount: 1
    launcherContainerImageVersion: registry.redhat.io/container-native-virtualization/virt-launcher-rhel9@sha256:b5321b42abe252d751b72b3d12583057d4f733e2db52a16cf2f9757bed9117ea
    machine:
      type: pc-q35-rhel9.4.0
    memory:
      guestAtBoot: 8Gi
      guestCurrent: 8Gi
      guestRequested: 8Gi
    migrationMethod: LiveMigration
    migrationTransport: Unix
    nodeName: dell-per740-57.lab.eng.pek2.redhat.com
    phase: Running
    phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: "2024-08-21T14:46:18Z"
    - phase: Scheduling
      phaseTransitionTimestamp: "2024-08-21T14:46:18Z"
    - phase: Scheduled
      phaseTransitionTimestamp: "2024-08-21T14:46:35Z"
    - phase: Running
      phaseTransitionTimestamp: "2024-08-21T14:48:30Z"
    qosClass: Burstable
    runtimeUser: 107
    selinuxContext: system_u:object_r:container_file_t:s0:c152,c635
    virtualMachineRevisionName: revision-start-vm-1342486e-1c5b-4bc5-8d2b-96844023573b-2
    volumeStatus:
    - name: vol-0
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: "18179755751"
        filesystemOverhead: "0.055"
        requests:
          storage: "18179755751"
        volumeMode: Filesystem
      target: vda
    - name: vol-1
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: "4544938938"
        filesystemOverhead: "0.055"
        requests:
          storage: "4544938938"
        volumeMode: Filesystem
      target: vdb
    - name: vol-10
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: "1136234735"
        filesystemOverhead: "0.055"
        requests:
          storage: "1136234735"
        volumeMode: Filesystem
      target: vdk
    - name: vol-2
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: "2272469469"
        filesystemOverhead: "0.055"
        requests:
          storage: "2272469469"
        volumeMode: Filesystem
      target: vdc
    - name: vol-3
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: "2272469469"
        filesystemOverhead: "0.055"
        requests:
          storage: "2272469469"
        volumeMode: Filesystem
      target: vdd
    - name: vol-4
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: "2272469469"
        filesystemOverhead: "0.055"
        requests:
          storage: "2272469469"
        volumeMode: Filesystem
      target: vde
    - name: vol-5
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: "1136234735"
        filesystemOverhead: "0.055"
        requests:
          storage: "1136234735"
        volumeMode: Filesystem
      target: vdf
    - name: vol-6
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: "1136234735"
        filesystemOverhead: "0.055"
        requests:
          storage: "1136234735"
        volumeMode: Filesystem
      target: vdg
    - name: vol-7
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: "1136234735"
        filesystemOverhead: "0.055"
        requests:
          storage: "1136234735"
        volumeMode: Filesystem
      target: vdh
    - name: vol-8
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: "1136234735"
        filesystemOverhead: "0.055"
        requests:
          storage: "1136234735"
        volumeMode: Filesystem
      target: vdi
    - name: vol-9
      persistentVolumeClaimInfo:
        accessModes:
        - ReadWriteMany
        capacity:
          storage: "1136234735"
        filesystemOverhead: "0.055"
        requests:
          storage: "1136234735"
        volumeMode: Filesystem
      target: vdj
kind: List
metadata:
  resourceVersion: ""
